#!/bin/sh

PID=${1} # %p
USER=${2} # %u
GID=${3} # %g
SIG=${4} # %s
TIME=${5} # %t
HOST=${6} # %h
EXE=${7} # %e
BASE_DIR=${8} # base_dir
MINICORE_FILE=${9} # mini
MEM_LIMIT=${10}

ulimit -v ${MEM_LIMIT}
ulimit -m ${MEM_LIMIT}

/sbin/minicoredumper ${PID} ${USER} ${GID} ${SIG} ${TIME} ${HOST} ${EXE} /etc/minicoredumper/minicoredumper.cfg.json -d ${BASE_DIR} -o ${MINICORE_FILE}


